import { Classification } from '../types';
import { apiService } from './apiService';

export class ITTicketClassifier {
  async classifyTicket(ticketContent: string): Promise<Classification> {
    try {
      // The classification is now handled by the backend
      // This method is kept for compatibility but won't be used directly
      // since the backend handles both classification and ticket creation
      return {
        department: 'Processing...',
        sub_department: 'Processing...',
        issue_type: 'Processing...',
        urgency: 'Medium',
        summary: 'Processing ticket classification...'
      };
    } catch (error) {
      console.error('Classification error:', error);
      return {
        department: 'Helpdesk',
        sub_department: 'User Support',
        issue_type: 'General Inquiry',
        urgency: 'Low',
        summary: 'General support request'
      };
    }
  }
}