export interface Ticket {
  id: string;
  requester: string;
  email: string;
  timestamp: string;
  content: string;
  status: 'Open' | 'In Progress' | 'Resolved' | 'Closed';
  department: string;
  sub_department: string;
  issue_type: string;
  urgency: 'Low' | 'Medium' | 'High' | 'Critical';
  summary: string;
}

export interface ChatMessage {
  id: string;
  role: 'user' | 'assistant';
  content: string;
  timestamp: string;
}

export interface Classification {
  department: string;
  sub_department: string;
  issue_type: string;
  urgency: 'Low' | 'Medium' | 'High' | 'Critical';
  summary: string;
}

export interface VoiceRecognitionResult {
  transcript: string;
  confidence: number;
  isFinal: boolean;
}